SCRIPTREPLAY(1)

BEZEICHNUNG
scriptreplay - Eingabeskripte mit Timing-Informationen wiedergeben

ÜBERSICHT

scriptreplay [Optionen] Timing-Datei [Eingabeskript [Faktor]]

BESCHREIBUNG

Dieses Programm gibt ein Eingabeskript wieder und stellt über die Timing-Informationen sicher, dass die Ausgabe im gleichen Rhythmus wie bei der ursprünglichen Aufzeichnung des Skripts erfolgt.

Die Wiedergabe zeigt einfach die Informationen erneut an; die bei der Aufzeichnung des Eingabeskripts ausgeführten Programme werden nicht erneut aufgerufen. Da einfach die gleichen Informationen angezeigt werden, wird scriptreplay nur dann garantiert sauber funktionieren, wenn es auf dem gleichen Terminaltyp ausgeführt wird, auf dem das Eingabeskript aufgezeichnet wurde. Anderenfalls könnten im Eingabeskript enthaltene Maskierungszeichen von dem Terminal anders interpretiert werden, an welches scriptreplay seine Ausgabe sendet.

Die Timing-Informationen sind jene, die script(1) in die mit --log-timing angegebene schreibt.

Standardmäßig wird angenommen, dass das anzuzeigende Eingabeskript als typescript benannt ist. Sie können als zweiten Parameter oder mit der Option --log-out jedoch auch andere Dateinamen angeben.

Wenn ein dritter Parameter oder --divisor angegeben wird, dann wird dieser als Multiplikator der Wiedergabegeschwindigkeit interpretiert. Beispielsweise bewirkt eine Geschwindigkeitsskalierung um den Faktor 2, dass scriptreplay doppelt so schnell wiedergibt, wogegen eine Skalierung um den Faktor 0.1 die Wiedergabe mit einem Zehntel der Originalgeschwindigkeit ablaufen lässt.

Während der Wiedergabe können Sie interaktiv mit den Pfeiltasten nach oben oder unten die Geschwindigkeit erhöhen oder verringern oder mit der Leertaste pausieren.

OPTIONEN

-I, --log-in Datei
    gibt die Datei an, welche die Terminaleingaben von script enthält.

-O, --log-out Datei
    gibt die Datei an, welche die Terminal-Ausgabe von script enthält.

-B, --log-io Datei
    gibt die Datei an, welche die Terminalaus- und -eingaben von script enthält.

-t, --timing Datei
    gibt die Datei an, welche die Timing-Informationen von script enthält. Diese Option das positionale Argument Timing-Datei.

-T, --log-timing Datei
    ist ein Alias für -t, der zwecks Kompatibilität zu den Befehlszeilenoptionen von script(1) aufrechterhalten wird.

-s, --typescript Datei
    ist ein veralteter Alias für --log-out.

-c, --cr-mode Modus
    gibt an, wie ein CR-Zeichen (0x0D, Wagenrücklauf) aus den Protokolldateien zu verarbeiten ist. Der Standardmodus ist auto, wobei das CR-Zeichen für die Protokollierung der Standardeingabe durch einen Zeilenumbruch ersetzt wird, da scriptreplay anderenfalls die gleiche Zeile überschreiben würde. Die anderen Modi sind never (niemals) und always (immer).

-d, --divisor Faktor
    skaliert die Wiedergabegeschwindigkeit um den angegebenen Faktor. Das Argument ist eine Gleitkommazahl. Diese Option setzt Argumente im klassischen Stil außer Kraft.

-m, --maxdelay Anzahl
    gibt die maximale Verzögerung zwischen den Aktualisierungen des Skripts als Anzahl in Sekunden an. Das Argument ist eine Gleitkommazahl. Damit können Sie lange Pausen in der Wiedergabe des Eingabeskripts vermeiden.

--summary
    zeigt Details zu der in der angegebenen Timing-Datei aufgezeichneten Sitzung an und beendet das Programm. Die Sitzung muss im Format advanced aufgezeichnet worden sein (siehe die Option --logging-format zu script(1) für weitere Details).

-x, --stream Typ
    zwingt scriptreplay, nur den angegebenen Datenstrom auszugeben. Als Datenstromtypen werden in, out, signal und info unterstützt. Diese Option wird für Aufzeichnungen mehrerer Datenströme empfohlen (erzeugt mit --log-io), um nur die gewünschten Daten ausgeben zu lassen.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

BEISPIELE

    % script --log-timing file.tm --log-out script.out
    Script gestartet, Ausgabeprotokolldatei ist script.out
    % ls
    <etc, etc>
    % exit
    Script wurde beendet, Ausgabeprotokolldatei ist script.out
    % scriptreplay --log-timing file.tm --log-out script.out

TASTATURKÜRZEL

Die folgenden Tasten steuern die Wiedergabe des Skripts:

    • Leertaste: Pausiert die Wiedergabe oder setzt sie fort. Drücken Sie diese Taste, um die Wiedergabe anzuhalten oder fortzusetzen.

    • Pfeiltaste nach oben: Erhöht die Wiedergabegeschwindigkeit. Jeder Tastendruck beschleunigt die Wiedergabe um 10 Prozent.

    • Pfeiltaste nach unten: Verringert die Wiedergabegeschwindigkeit. Jeder Tastendruck verlangsamt die Wiedergabe um 10 Prozent.

AUTOREN

Das ursprüngliche scriptreplay-Programm wurde von geschrieben. Das Programm wurde in C von und neu geschrieben.

COPYRIGHT

Copyright © 2008 James Youngman

Copyright © 2008-2019 Karel Zak

Copyright © 2024 Jonathan Ketchker

Dies ist freie Software, in den Quellen finden Sie die Bedingungen zur Vervielfältigung und Weitergabe. Es gibt KEINE Garantie, auch nicht für die MARKTREIFE oder die TAUGLICHKEIT FÜR EINEN BESTIMMTEN ZWECK.

Veröffentlicht unter den Bedingungen der GNU General Public License Version 2 oder neuer.

SIEHE AUCH

script(1), scriptlive(1)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl scriptreplay ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.